Name:		libnova
Version:	0.12.1
Release:	6%{?_dist_release}
Summary:	Libnova is a general purpose astronomy & astrodynamics library
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://sourceforge.net/projects/libnova/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Libnova is a general purpose, double precision, celestial mechanics, 
astrometry and astrodynamics library

%package devel
Summary:	Development files for libnova
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Contains library and header files for libnova

%prep
%setup -q

%build
%configure --disable-static
make CFLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog README AUTHORS NEWS COPYING
%{_libdir}/libnova-0.12.so.1.0.0
%{_libdir}/libnova-0.12.so.1
%{_bindir}/libnovaconfig

%files devel
%doc COPYING examples/*.c
%{_includedir}/libnova
%{_libdir}/libnova.so


%changelog
* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.12.1-6
- Initial build for Vine Linux

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.12.1-3
- Autorebuild for GCC 4.3

* Sat Jan 12 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 0.12.1-2
- Made changes to the Groups

* Mon Jan 07 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 0.12.1-1
- Made small changes to make it more complaint with fedora packaging standards

* Thu Jan 04 2007 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 0.12.1-0
- Initial version.

