Summary: library providing high-level API for X Keyboard Extension
Summary(ja): X キーボード拡張の高レベル API を提供するライブラリ
Name: libxklavier
Version: 5.0
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://www.freedesktop.org/wiki/Software/LibXklavier

Source: %{name}-%{version}.tar.bz2
Patch0: libxklavier-3.1-crash.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: doxygen
BuildRequires: libxml2-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxml2-devel
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: libX11-devel
BuildRequires: xorg-x11-proto-devel

%description
libxklavier is a library providing high-level API for X Keyboard Extension
known as XKB. This library is intended to support XFree86 and other
commercial X servers. It is useful for creating XKB-related software
(layout indicators etc).

%package devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%prep
%setup -q
#patch0 -p1 -b .crash

%build

%configure --with-xkb-base=/usr/share/X11/xkb --disable-static
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.*
#{_datadir}/libxklavier

%files devel
%defattr(-, root, root)
%doc doc/reference/html/*.html doc/reference/html/*.png doc/reference/html/*.css
%{_libdir}/pkgconfig/*.pc
#{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/libxklavier/


%changelog
* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.0-1
- new upstream release
- add BuildRequires: libX11-devel, xorg-x11-proto-devel

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.0-1
- new upstream release
- added --disable-static option

* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8-1
- new upstream release
- spec in UTF-8

* Mon Sep  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.7-1
- new upstream release

* Mon May 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-2
- build with xorg-x11-7.3
  - change xkb-base to /usr/share/X11/xkb

* Mon Apr 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.6-1
- new upstream release

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5-1vl5
- new upstream release

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.3-0vl1
- new upstream release

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.2-0vl1
- new upstream release
- dropped Patch0

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1-0vl1
- new upstream release

* Wed Mar 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl1
- new upstream version

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.04-0vl1
- initial build for Vine Linux, based on fedora package.

* Wed Sep 29 2004 Jonathan Blandford <jrb@redhat.com> 1.02-3
- bump version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Jeremy Katz <katzj@redhat.com> - 1.02-1
- update to 1.02 with real fixes for xorg

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00-2
- patch for xorg.xml instead of xfree86.xml

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1.00-1
- update to 1.00

* Mon Mar 15 2004 Bill Nottingham <notting@redhat.com>
- fix typo (#118237)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt


* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 0.97-1
- First version
